Commit efe7a8e6 authored by Rohit Yadav's avatar Rohit Yadav Committed by Hugo Beauzée-Luyssen

Refactor code in cmake, fix description...

Signed-off-by: default avatarHugo Beauzée-Luyssen <beauze.h@gmail.com>
parent 4a5ad6b8
......@@ -159,7 +159,8 @@ SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
SET(CPACK_PACKAGE_NAME ${PROJECT_NAME_SHORT})
SET(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "VideoLan Movie Creator")
SET(CPACK_PACKAGE_DESCRIPTION "VLMC (VideoLAN Movie Creator) is a cross-platform, non-linear video editing software based on the VLC Media Player.")
SET(CPACK_PACKAGE_DESCRIPTION
"VLMC \n VideoLAN Movie Creator is a cross-platform, non-linear video editing software based on the VLC Media Player.")
SET(CPACK_PACKAGE_VENDOR "VLMC Team")
SET(CPACK_PACKAGE_CONTACT "vlmc-devel@videolan.org")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
......@@ -189,6 +190,18 @@ IF ( RPMBUILD_FOUND )
SET(CPACK_SET_DESTDIR TRUE)
ENDIF ( RPMBUILD_FOUND )
# Debian packages
INCLUDE ( ${CMAKE_MODULE_PATH}/DpkgBuild.cmake )
IF ( DPKG_FOUND )
SET(CPACK_GENERATOR "DEB")
SET(CPACK_SET_DESTDIR TRUE)
SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${CPACK_PACKAGE_DESCRIPTION})
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${CPACK_PACKAGE_DESCRIPTION_SUMMARY})
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE i386) #change to your architecture here
# FIXME: Check stuff: libvlc2 etc. in future as VLC 1.1+ releases
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-gui ( >= 4.6 ), libqt4-network ( >= 4.6 ), libqt4-svg ( >= 4.6 ), libqt4-xml ( >= 4.6 )")
ENDIF ( DPKG_FOUND )
#Mac
IF( APPLE )
SET(CPACK_GENERATOR "DragNDrop")
......@@ -206,15 +219,5 @@ IF( APPLE )
#SET(CPACK_STRIP_FILES TRUE)
ENDIF( APPLE )
# Debian packages
INCLUDE ( ${CMAKE_MODULE_PATH}/DpkgBuild.cmake )
IF ( DPKG_FOUND )
SET(CPACK_GENERATOR "DEB")
SET(CPACK_SET_DESTDIR TRUE)
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE i386) #change to your architecture here
# FIXME: Check stuff: libvlc2 etc. in future as VLC 1.1+ releases
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-gui ( >= 4.6 ), libqt4-network ( >= 4.6 ), libqt4-svg ( >= 4.6 ), libqt4-xml ( >= 4.6 )")
ENDIF ( DPKG_FOUND )
SET(CPACK_PACKAGE_EXECUTABLES "vlmc" "VLMC")
INCLUDE(CPack)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment